Summary:	A library for manipulating units of physical quantities
Name:		udunits
Version:	1.11.7
Release:	1.PU_IAS.3
License:	noncommercial distributable (see Copyright)
Group:		Scientific/Libraries
Source:		http://www.unidata.ucar.edu/packages/udunits/udunits.tar.Z
BuildRequires:	XFree86-devel
URL:		http://www.unidata.ucar.edu/packages/udunits/
BuildRoot:	/var/tmp/%{name}-%{version}-root

%description
The Unidata units library, udunits, supports conversion of unit
specifications between formatted and binary forms, arithmetic manipulation
of unit specifications, and conversion of values between compatible
scales of measurement.

%prep
%setup

%build
cd src
export CPPFLAGS=-Df2cFortran PERL=/usr/bin/perl UT_DEFAULT_PATH=%{_sysconfdir}/udunits.dat ETCDIR=%{_sysconfdir} MANDIR=%{_mandir} cpp_path="-DUT_DEFAULT_PATH=%{_sysconfdir}/udunits.dat"
export CC=gcc
perl -pi -e "s|\@CPPFLAGS\@|\@CPPFLAGS\@ -fPIC|" lib/Makefile.in
perl -pi -e "s|\@CFLAGS\@|\@CFLAGS\@ -fPIC|" lib/Makefile.in
%configure
perl -pi -e "s|port/all lib/all udunits/all perl/dynamic|port/all lib/all udunits/all|" Makefile
make UT_DEFAULT_PATH=%{_sysconfdir}/udunits.dat ETCDIR=%{_sysconfdir} MANDIR=%{_mandir} cpp_path="-DUT_DEFAULT_PATH='\"%{_sysconfdir}/udunits.dat\"'" LIBDIR=%{_libdir}
cd perl
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor UT_DEFAULT_PATH=%{_sysconfdir}/udunits.dat ETCDIR=%{_sysconfdir} MANDIR=%{_mandir} cpp_path="-DUT_DEFAULT_PATH='\"%{_sysconfdir}/udunits.dat\"'"
cd ..

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_libdir},%{_bindir},%{_includedir},%{_mandir}/man{1,3,3f}}
cd src
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix} ETCDIR=$RPM_BUILD_ROOT/%{_sysconfdir} MANDIR=$RPM_BUILD_ROOT/%{_mandir} LIBDIR=$RPM_BUILD_ROOT%{_libdir}
gzip RELEASE_NOTES
cd perl
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > udunits-%{version}-filelist
if [ "$(cat udunits-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files -f src/perl/udunits-%{version}-filelist
%doc src/COPYRIGHT src/RELEASE_NOTES.gz
%{_bindir}/udunits
%{_sysconfdir}/udunits.dat
%{_includedir}/udunits.*
%{_libdir}/libud*
#%{_libdir}/perl5/site_perl/*/*-linux/auto/UDUNITS
#%{_libdir}/perl5/site_perl/*/*-linux/UDUNITS.pm
%{_mandir}/man1/*
%{_mandir}/man3f/*
%{_mandir}/man3/*

%changelog
* Thu May 01 2003 Josko Plazonic <plazonic@math.princeton.edu>
- rebuilt for RH 9

* Thu Dec 06 2001 Josko Plazonic <plazonic@math.princeton.edu>
- initial rpm creation

